gdk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Enum GLib.GType(typeof(Gdk.WindowTypeHintGType)) Hints to the window manager. These are hints for the window manager that indicate what type of function the window has. The window manager can use this when determining decoration and behaviour of the window. The hint must be set before mapping the window.

These map to the FreeDesktop WM specification (http://freedesktop.org/Standards/wm-spec/)

- Field
  2.12.0.0
  Gdk.WindowTypeHint Indicates a combo window.
- Field
  2.12.0.0
  Gdk.WindowTypeHint Indicates a desktop feature. This can include a single window containing desktop icons with the same dimensions as the screen, allowing the desktop environment to have full control of the desktop, without the need for proxying root window clicks.
- Field
  2.12.0.0
  Gdk.WindowTypeHint Dialog window.
- Field
  2.12.0.0
  Gdk.WindowTypeHint Indicates a drag and drop window type.
- Field
  2.12.0.0
  Gdk.WindowTypeHint Indicates a dock or panel feature. Typically a Window Manager would keep such windows on top of all other windows.
- Field
  2.12.0.0
  Gdk.WindowTypeHint Indicates a drop down menu window.
- Field
  2.12.0.0
  Gdk.WindowTypeHint Window used to implement a menu.
- Field
  2.12.0.0
  Gdk.WindowTypeHint Normal toplevel window.
- Field
  2.12.0.0
  Gdk.WindowTypeHint Indicates a notification popup window.
- Field
  2.12.0.0
  Gdk.WindowTypeHint Indicates a popup menu window.
- Field
  2.12.0.0
  Gdk.WindowTypeHint Indicates that the window is a splash screen displayed as an application is starting up.
- Field
  2.12.0.0
  Gdk.WindowTypeHint Window used to implement toolbars.
- Field
  2.12.0.0
  Gdk.WindowTypeHint Indicates a tooltip popup window.
- Field
  2.12.0.0
  Gdk.WindowTypeHint Indicates a small persistent utility window, such as a palette or toolbox. It is distinct from type Toolbar because it does not correspond to a toolbar torn off from the main application. It's distinct from type Dialog because it isn't a transient dialog, the user will probably keep it open while they're working.